What is Jingle?

Jingle is a reminder program with simple user interface but strong capacities. No matter you are at home, in the office, or on the road, whenever you want, Jingle will remind you on time so you won’t miss any important event.

Jingle can be flexibly configured. For example, you can let it remind you to send an e-mail to Rick with reports on customers’ orders on 3 p.m. every Tuesday and 9 a.m. every Thursday; it’s Kate’s birthday the day after tomorrow - remember to buy her a present tomorrow; backup my important documents at 1 a.m. at mid night every day; date Ralph on the second Wednesday each month to play golf, etc. If you are not always in front of a computer and still hoped to be reminded for important events, you can also let Jingle remind you by SMS messages. Jingle supports 177 SMS providers all over the world.


新建网页 1

Key features

  • Reminders by SMS messages or e-mails

Jingle can send notifications to your or your friends' cellphone or e-mail address when the reminder is due. Jingle supports 177 SMS providers all over the world.

  • Reminders by flashing systray icon, popup window or sound

Jingle will remind you by a flashing icon in the system tray, by pop-up window or by sound when you are in front of a computer. You can decide a method based on your taste.

  • Simple and intuitive user interface

  • Multi-user support

Jingle supports multiple users. You can share Jingle on one computer with your family members or friends without affecting each other.

  • Generation of calendars for viewing or printing

Jingle supports calendar view. You can view, add, edit your events in the calendar, and you can also print the calendar with all of the events scheduled

  • Multi-time cycling event reminders

You can add a multi-time cycling event to Jingle. For example, reminds you of something on 3 p.m. every Tuesday and 9 a.m. every Thursday, or reminds on the second Wednesday each month.

  • On-time program execution, running dos commands, switching on or off system services, or opening files or web pages

Jingle can execute programs, run dos commands, switch on/off system services, or open files or web pages when the reminder is due. So you can use these functions to play a mp3, backup your important files, start/stop a network camera, or shutdown your computer on time.

  • One-click lock

Jingle supports one-click locking. When you click the Lock button [image] on the upper-right corner of the Jingle window, Jingle will hide automatically and lock itself. The current user’s login password is required for all operations. Jingle can be unlocked for use again only after the user enters the correct password.

  • Multilingual support

Jingle has multilingual support using one file per language so it is not necessary to download and re-install Jingle for each language.

  • Data import/export support

You can import/export your Jingle data. By this function you can synchronize your Jingle data between different computers.

  • Automatic scheduled backup

Jingle backups data automatically. It backups all data every half an hour. The backup files are saved in the “Backup” subfolder under Jingle’s main folder. In case Jingle’s data is damaged for some unexpected reason, you can copy all files under the Backup folder to overwrite those under the Jingle folder.

  • Free automatic updates

Updates for Jingle are free. You can update Jingle manually or automatically .


Quick Tour

Example 1:

“Quick Add” a new event.

Example 2:

Remind me to send an e-mail to Rick with reports on customers’ orders on 3 p.m. every Tuesday and 9 a.m. every Thursday.

Example 3:

Date Ralph on the second Wednesday each month to play golf.

Example 4:

There is a party this weekend. Send reminding messages to Coco, Alex, Sunny, Tom and Ken 2 days ahead.

Example 5:

Backup my important documents at 1 a.m. at mid night every day.

Example 6:

Run Calendar and Event List.


Minimum system requirements

To use Jingle, it is necessary that your system includes the following components:

Hardware

Pentium-class processor

64+ MB RAM

40+ MB free hard disk space

Software

Windows 98, ME, NT 4.0 Service Pack 6, 2000, XP

Microsoft Internet Explorer 4.0 or above


Installing and Uninstalling

To install Jingle:

1. Run JingleSetup.exe to install Jingle.
2. Follow the on-screen instructions and select an installation directory when asked. All required files will be copied into the specified directory.

After installation, the Programs folder of the Start menu will contain the following shortcuts inside the Jingle subfolder:

1. Jingle Help
Displays the Jingle help file.
2. Jingle
Starts Jingle.

3. Jingle On Web

Visit our website
4. Uninstall
Uninstalls Jingle from the computer.


User interface

Jingle’s user interface includes four areas: Page Header Area, Page Area, Button Area and Status Bar Area.

 Page Header Area

Switches between Event/Calendar/Options pages

 Page Area

Displays all Jingle data

 Button Area

Triggers Jingle’s various functions

 Status Bar Area

Displays some status messages while Jingle is used


Add a user in Jingle

Since Jingle is a multi-user program, when you use Jingle for the first time, you should add an account in Jingle.

1. Launch Jingle, which will require you to log in first.
2. Click the New User button on the right of the login window.
3. Fill all items to add the new user profile in the pop-up window. Please note, Real Name in this window will be displayed in the recipient’s e-mails or SMS messages, and it should be filed correctly.
4. Click OK to complete adding.


Sign in Jingle

After you have added a user, you can sign in Jingle. Select your username and enter the password in the login window, then click OK to sign in. If you use Jingle alone and hope to skip this step, just check beside the "Sign me in automatically" option.


Event

When you click the first button on the right of Jingle’s Page Header Area [image], Jingle will switch to the Reminder page, where you can start using Jingle.


Quick Add

You can add a simple event by Quick Add. The operation is simple and fast.

To “Quick Add” an event:

1. Click the Add Event button and select Quick Add in the pop-up menu.
2. Fill relevant information in the pop-up Quick Add window.
3. Click OK to save the event and exit, or click Cancel to exit without saving the event.

Click here to see the quick tour of "Quick Add".


Add Event

Sometimes you may want to customize an event, then Quick Add may not be enough. You should use the Add Event button:

1. Click the Add Event button and select Add Event in the pop-up menu.
2. Jingle will switch to a detailed event setting page. Please refer to Edit Event page for page details.
3. Click OK to save the event and exit, or click Cancel to exit without saving the event.

Click here to see the quick tour of "Add Event".


Add in Calendar

You can also add an event in Calendar directly:

1. Click the page header of Calendar [image] to switch to the Calendar page.
2. Move your mouse over the date to be reminded and right click. Select Add Event in the pop-up menu.

Note: While adding or editing an event, the Today button and the All Events button are disabled until you save changes or cancel editing.

 Click here to see the quick tour of "All Events and Calendar".


Edit Event

There are two common methods to edit an event.

Method 1: Click the Edit Event button.
Method 2: Click the Today button and select an event from Today's events/Tomorrow's events/Missed events, or click the All Events button and select an event from the event list. Then right click the selected event, and select Edit Event from the pop-up menu.

Note: While adding or editing an event, the Today button and the All Events button are disabled until you save changes or cancel editing.


Delete Event

There are two common methods to delete an event.

Method 1: Click the Delete Event button.
Method 2: Click the Today button and select an event from Today's events/Tomorrow's events/Missed events, or click the All Events button and select an event from the event list. Then right click the selected event, and select Delete Event from the pop-up menu.


Finish a task

After you have completed something, you should check it off in Jingle, or it will still remind you. There is a check box before each event in Today's events/Tomorrow's events/Missed events for Today and in the event list for All Events. When you check this box, Jingle will not remind you on this event any more. If this event reminder is for more than one user, when you check this box, a menu will pop up, so you can handle it or select the users already reminded. After the event completes, Jingle will disable the event with a strikethrough.


Edit Event page

When you add or edit an event, Jingle will switch to the Edit Event page where you can see:

Event subject
Alarm time
Event type
Start time / End time
Recurrence
Remind who
Open file or URL
Other

Event subject

Fill the content to remind you here. If you remind by an e-mail or an SMS message, this text will appear in the e-mail or mobile of the one reminded.

Go Top

Alarm time

Fill the specific reminder time of the event. Jingle will remind you of what you should do punctually on the configured time.

If you select All day, the reminder time will be accurate to day, rather to some time of a day.

Calendar button [image] : You can click the Calendar button just after Alarm time to select a reminder date more conveniently.

If the event you define is of the type “Recurrence”, Jingle will ignore the Alarm time, while calculate the reminder time by the Start time.

Go Top

Event type

An event type should be specified for each event for the convenience of classification. The default Event type is "Alarm". You can select a proper type from the drop-down list, or enter a new one if no suitable type is found – in this case Jingle will automatically remember the new event type you enter.

Go Top

Start Time / End Time page

Set up Start time and End time. A Jingle reminder will fall within this time range.

If you do not set up a Start time, Jingle will by default have the current time as the Start time.

If you do not set up the End time, a “Recurrence" type event will keep reminding you.

Go Top

Recurrence page

This page is used to configure the cycling period of an event. You can also configure Recurrence by clicking the Recurrence button [image] at the end of the item Event subject.

Every: This is where to set the reminder interval of an event. You can set the quantity in the first box, and the unit of time in the second box.

If the time unit you set is Daily, Weekly, Monthly or Yearly, you should also enter specific reminder time in the input boxes below, such as 13:30, or Wednesday + 14:00, or May + Last Sunday, etc. After you have entered the time, click the arrow button aside to add it to the list on the right. You are allowed to add multiple times, so you can be reminded of the event at different times.

Click the Delete button [image] on the rightmost to remove a time from the time list.

If you want accuracy at day level, rather than at hour or second level, you can enter 0:0 for Time.

Go Top

Remind Who page

In this page you can set how to remind, and who will receive the reminder. By default, Jingle only reminds you on your computer. However, you can also set it to remind multiple people in multiple methods, such as reminding you and your friends by SMS messages or e-mails.

Remind by

Currently there are 3 options for Remind by:

Jingle User: Since Jingle supports multiple users, when Jingle User is selected, you can notice yourself and other Jingle users, such as your family members or your colleagues, on this computer. You can send messages to them with this option. When they are back to Jingle on this computer, they will get your reminders.

E-mail: Send reminders by e-mails.

SMS (Free to Send): Send reminders by SMS messages.

Remind Who

Fill who you are to remind. This item is relevant to Remind by:

If Jingle User is selected for Remind by, all Jingle users on this machine will be listed for selection.

If E-mail or SMS is selected for Remind by, name of the recipient should be filled. If you have filled it before, Jingle will remember it for you, so you can choose it from a list.

Address or Number

This item is also relevant to Remind by:

If Jingle User is selected for Remind by, this field can be left blank.

If E-mail is selected for Remind by, it should be filled with the recipient’s e-mail address.

If SMS is selected for Remind by, it should be filled with the recipient’s mobile number and the name of the recipient’s SMS provider. The Syntax of this item is fixed. It should follow the syntax of Phonenumber(SMS provider), where there should be no separator(s) within the part of Phonenumber, and Phonenumber should be separated from SMS Provider, which is surrounded by a pair of parentheses, for example, 6262269000(T-Mobile). Jingle supports the services of 177 SMS Providers worldwide. If you are not sure whether the number of the recipient’s mobile is supported by Jingle, you can first enter the Phone number, then click the Enter key, then an SMS Provider List will pop up for you to select from.

After you have filled the above information, click the arrow in the middle to add the information to the list on the right. Jingle allows you to add multiple recipients, and they will be noticed one after another by Jingle when the reminder dues. The two rightmost buttons can be used only when an item in the list is selected. The higher Delete button [image] can be used to delete the selected recipient, the lower Status button [image] can be used to display the notification status, i.e. Waiting, Retry, OK and Cancel, of the selected recipient.

Waiting means the notice message hasn’t been sent to the recipient.

Retry means Jingle failed in sending the notice. Jingle is trying again.

OK means the notice has been sent to the recipient successfully.

Cancel means Jingle has stopped trying resending the notice after certain unsuccessful trials, or you have stopped sending the notice manually.

Go Top

Open File or URL page

By setting this page, you can let Jingle open a file, run a program, switch on or off a system service, or open a web page for you at the configured time.

Click the first button on the right of the page [image] to select a file or a program in a hard disk or from the network to open. You can click the second button [image] to test if you can open it correctly. You can also enter the path and name of the file directly in the File or URL or Command input box aside directly, and click the Test File button to test whether your input is correct. Then click the arrow button in the middle [image] to add your entry into the list. Multiple entries are allowed.

Here are some examples:

To play a media file c:\loveu.mp3

Fill in c:\loveu.mp3

To open a web site www.rockrosesoft.com

Fill in www.rockrosesoft.com

Backup a folder to another computer in the network

Fill in xcopy c:\sales_data \\server\backup\sales_data /e/y/c

Open or close a monitoring service (e.g. Remote Administrator Service, assuming that you have installed a Radmin Administrator Server).

Fill in net start r_server, or net stop r_server

Scheduled shutdown (for Windows XP)

Fill in shutdown -s

Go Top

Other page

There is only one item in this page: Alarm ahead. You can specify how long ahead should Jingle remind you on the event. Sometimes it is necessary to remind something ahead, such as for a birthday or an appointment, etc. Of course you can also set the reminder time ahead directly, but sometimes setting the Alarm ahead value is more convenient for management.

Go Top


Today

When you click the Today button, Jingle will switch to the Today page. There are four areas in the Today page, namely Today’s events, Tomorrow’s events, Missed events and Scratch pad.

Today’s events, Tomorrow’s events and Missed events are operated the same way. They are different only in data displayed.

For usage of the small box before an event, please refer to Finish a task.

When you right click an event, a menu will pop up for you to edit or delete the selected event.

Click the two arrow buttons next to the title [image] to scroll the list.

If an event appears under Today’s events and Tomorrow’s events at the same time, only the event within Today’s events can be completed, the one under Tomorrow’s events will change into this icon [image].

If you haven’t processed an event in time, it will be placed in the Missed events list. After you have checked it off, it will disappear from the Missed events list.

For details about Scratch pad, please refer to Scratch pad.

Note: The Today button is disabled when you edit an event.


All events

When you click the All Events button, Jingle will switch to the All Events page. All the events you have entered are displayed in this page. By default, they are sorted by reminder times in an order where newer events appear higher. The list displays detailed event information.

For the usage of the small box in the first column of the list, please refer to Finish a task.

More info about current event

If you select an event in the list and click this button, you will see more information about this event.

Send Log

When you select an event and click this button, if the event is reminded by an e-mail or an SMS message, you can see the detailed sending procedure.

Print event

You can print the whole event list. Click the Print Preview button to preview, and click Print directly to send the report to your printer.

Search event

There are two input boxes above the event list. The left one is used to enter the keyword to be queried, and the right one is used to filter alarm types.

Fuzzy search is adopted by Jingle. When you are searching multiple keywords, they should be separated by blank spaces. Here are some examples:

For example, when you enter the keywords father 200702, and click the Search button, Jingle will list all events including "father" with alarm time in February 2007.

If you enter the keywords Ralph Month, and click the Search button, Jingle will list all events including "Ralph" with “Monthly” as the alarm time.

If you enter a blank space and click Search, all events will be listed.

Sorting event list

When you click the header of a column on the event list, the list will be sorted based on this column. Jingle will switch sorting directions between ascending and descending if you click a header multiple times.

Note: The All Events button is disabled when you edit an event.

Click here to see the quick tour of "All Events and Calendar".


Calendar

When you click the second button on the right [image], Jingle will switch to the Calendar page, which organizes your events to be displayed in a Calendar.

Click this button [image] to move to the next month. Click this button [image] to move to the last month. Click this button [image] to move to the next year. Click this button [image] to move to the last year.

The circle [image] means it’s today.

A tick (“x”) before an event in the Calendar means this event has been completed.

There are several buttons under the Calendar:

Filter

When you click the Filter button, a list of alarm types will pop up. An event can appear in the calendar only when its alarm type is selected in the list.

Print Calendar

Print Preview / Print button can be used to preview and print the current calendar.

Click Calendar

Click a day in the Calendar. If several events happen in this day, an event list for the day will pop up. You can check the status of an event by clicking the Event Status button [image] in the list. When you click the Edit Event button [image] , you can open the Edit Event page to edit this event.

Click here to see the quick tour of "All Events and Calendar".


Alarm window

If you configure an event to remind yourself, an alarm window will pop up to remind you at the configured time. In the Alarm window, you can click the Done button [image] to finish the event, click the Delete button [image] to delete the event, click the Edit button [image] to open the Edit Event page, or click the Snooze button [image] to delay the reminder, and Jingle can let you decide how long to delay.


Outbox window

If you set some events to be reminded by e-mails or SMS messages, and you do not use Jingle at their configured times, the next time when you log into Jingle, these events will appear in the Outbox window waiting for you to take care of them. In the Outbox window, you can click the Send Now button [image] to send the reminder right away, or click the Cancel button [image] to cancel it. You can click the Status button [image] to check the status of the event, or click the Snooze button [image] to delay the reminder, and Jingle can let you decide how long to delay.


Error log window

Reminders by e-mails or SMS messages can fail for various reasons. When there is a sending failure, Jingle will pop up an Error log window with the failed reminder. In the Error log window, you can click the Retry button [image] to resend this reminder, click the Cancel button [image] to cancel, or click the Details button [image] to check error details.


Customization

When you click the third button on the right [image], Jingle will switch to the Options page, which configures your Jingle.


General options

Alarm interval

The configured interval of time. Jingle re-checks a reminder at every this interval. The default value is 1 minute.

Startup

When this option is checked, Jingle runs automatically at Windows startup.

Account

When this option is checked, Jingle signs the current user in automatically when it starts, rather than pops up a log in window.

Language

Select a user interface language for Jingle.

Update

Please refer to Updating.


E

E-mail options

You need to setup your email configuration in "Option->E-mail" page if you wanna use the email/sms notification function.

Outgoing mail server (SMTP): Fill in the SMTP server by your mail service provider, such as smtp.rockrosesoft.com.

Port: Port of the SMTP server, default value is 25.

Account name: Fill in the name of your mail account in this mail service, such as Ralph.

Password: Password of the mailbox.

Email address: E-mail address, such as Ralph@rockrosesoft.com.

My server requires authentication: Whether authentication for sending mails is required by the mail server.

If you have a Gmail account and you wanna use this account to send email/sms notifications in Jingle, you need to click the I use Gmail button on the left. The Outgoing mail server (SMTP) and Port will be set by Jingle automatically when you click this button, then only you need to fill in Account name, Password and Email address properly.

After filling this information, you can click the Send a test email button on the right to test whether you can connect to the configured mail server and send email successfully.

Retry times: How many times should Jingle try before aborting. The default value is 5 times. If Jingle can’t succeed in sending the reminder after this retry times, the event will be moved to the Error log window for you to handle.


Notification options

You can set options in this page to decide whether Jingle should pop up a window or play sound when a reminder is due.


Scratch pad

Jingle’s Scratch pad is like your note pad. The only difference is you do not have to have a pen and paper at hand. When you are having a phone call, you can write any thing down in Jingle by this function, or search for information conveniently. With Scratch pad, you do not have to stick notes around in your office.

Scratch pad can be operated the same way as you use Windows Notepad to work on text files, the only difference is you do not have to save text or deal with files in Scratch pad. Jingle will help you save what you enter automatically.

If you want to find some thing in Scratch pad, you can enter the keyword in the left text box of the Find button, and click the Find button next to it. If this keyword is included in Scratch pad, you will see it there, and the Find button will change to Find Next. When you click Find Next again and again, Scratch pad will keep locating the next match until nothing more can be found.


Import

Import/Export data

Click the Import/Export page header in the Options page, and you can import/export your Jingle data. Data for Scratch pad and for events should be operated separately. By this function you can synchronize your Jingle data between different computers.


Backup

Backup/Restore data

Jingle backups data automatically. It backups all data every half an hour. The backup files are saved in the “Backup” subfolder under Jingle’s main folder. In case Jingle’s data is damaged for some unexpected reason, you can copy all files under the Backup folder to overwrite those under the Jingle folder.


Lock

Lock/Unlock Jingle

Jingle supports one-click locking. When you click the Lock button [image] on the upper-right corner of the Jingle window, Jingle will hide automatically and lock itself. The current user’s login password is required for all operations. Jingle can be unlocked for use again only after the user enters the correct password.


About SMS reminders

With the help of E-mail to SMS service by some SMS providers, Jingle provides the function of SMS reminder for its users. Jingle, however, is not responsible for possible problems arise in SMS transmission (including the loss, delay, etc. in sending SMS messages).

Following conditions must be satisfied if you want to successfully send messages or e-mails in Jingle:

1. Your computer has been successfully connected to the Internet.

2. If you connect to the Internet via proxy, the proxy must be configured properly.

3. The firewall (include some anti-virus software or network firewall) on your computer must allow Jingle to send e-mails.

4. Your email settings must be correct, and the mail server you configured should work properly.

5. The mail server must support POP3/SMTP protocol.

6. The “E-mail to SMS” service provided by the SMS provider must work properly.


Updating

Updates for Jingle are free. Jingle checks our update server every 3 days. If a new update is found, Jingle will prompt you whether to download the update. If you answer “Yes”, Jingle will start downloading the update. After download completes, you will be prompted to exit and restart Jingle to complete the update. You can experience Jingle’s new features the next time when you sign in.

You can also update Jingle manually. Click the Check Now button under the Update option in the Option-General page, and Jingle will start checking updates. If an update is found, Jingle will start downloading the update and then request you to restart Jingle to complete the update.


Purchasing Jingle

For pricing information or to order online, please visit our online store:

www.rockrosesoft.com/store.html

Other Ways to Purchase:

For your convenience and protection, we provide following secure methods of ordering:

Purchasing by Telephone

USA 909-595-7765 Ext 102

Purchasing by Fax

USA 909-595-7227


Activating Jingle

1. Start Jingle.
2. Click "Registration".

3. Enter the registration code EXACTLY as they appear on your registration acknowledgment email and click OK.


Contact us

Company website

www.rockrosesoft.com

Technical support

support@rockrosesoft.com

Product sales

sales@rockrosesoft.com

Support forum

www.rockrosesoft.com/forum